## git-secret 0.2.3

=== Makefile ===
SHELL:=/usr/bin/env bash
PREFIX?="/usr"

#
# Building:
#

git-secret: src/version.sh src/_utils/* src/commands/* src/main.sh
	@cat $^ > "$@"; \
	chmod +x git-secret; sync

.PHONY: all
all: build

.PHONY: clean
clean:
	@rm -f git-secret

.PHONY: build
build: git-secret

.PHONY: install
install:
	@chmod +x "./utils/install.sh"; sync; \
	"./utils/install.sh" "${PREFIX}"

.PHONY: uninstall
uninstall:
	@chmod +x "./utils/uninstall.sh"; sync; \
	"./utils/uninstall.sh" "${PREFIX}"

#
# Testing:
#

.PHONY: install-test
install-test:
	@if [ ! -d "vendor/bats" ]; then \
	git clone https://github.com/sstephenson/bats.git vendor/bats; fi

.PHONY: test
test: install-test clean build
	@chmod +x "./utils/tests.sh"; sync; \
	export SECRET_PROJECT_ROOT="${PWD}"; \
	export PATH="${PWD}/vendor/bats/bin:${PWD}:${PATH}"; \
	"./utils/tests.sh"

#
# Manuals:
#

.PHONY: install-ronn
install-ronn:
	@if [ ! `gem list ronn -i` == "true" ]; then gem install ronn; fi

.PHONY: clean-man
clean-man:
	@find "man/" -type f ! -name "*.ronn" -delete

.PHONY: build-man
build-man: install-ronn clean-man
	@ronn --roff --organization="sobolevn" --manual="git-secret" man/*/*.ronn

.PHONY: build-gh-pages
build-gh-pages:
	@chmod +x "./utils/gh-branch.sh"; sync; \
	"./utils/gh-branch.sh"

#
# Development:
#

.PHONY: install-hooks
install-hooks:
	@ln -fs "${PWD}/utils/hooks/pre-commit.sh" "${PWD}/.git/hooks/pre-commit"; \
	chmod +x "${PWD}/.git/hooks/pre-commit"; sync; \
	ln -fs "${PWD}/utils/hooks/post-commit.sh" "${PWD}/.git/hooks/post-commit"; \
	chmod +x "${PWD}/.git/hooks/post-commit"; sync

.PHONY: develop
develop: clean build install-hooks

.PHONY: lint
lint:
	@find src utils -type f -name '*.sh' -print0 | xargs -0 -I {} shellcheck {}

#
# Packaging:
#

.PHONY: install-fpm
install-fpm:
	@if [ ! `gem list fpm -i` == "true" ]; then gem install fpm; fi

# .apk:

.PHONY: build-apk
build-apk: clean build install-fpm
	@chmod +x "./utils/build-utils.sh"; sync; \
	chmod +x "./utils/apk/apk-build.sh"; sync; \
	export SECRET_PROJECT_ROOT="${PWD}"; \
	"./utils/apk/apk-build.sh"

.PHONY: test-apk-ci
test-apk-ci: install-test build-apk
	@chmod +x "./utils/apk/apk-ci.sh"; sync; \
	export SECRET_PROJECT_ROOT="${PWD}"; \
	export PATH="${PWD}/vendor/bats/bin:${PATH}"; \
	"./utils/apk/apk-ci.sh"

.PHONY: deploy-apk
deploy-apk: build-apk
	@chmod +x "./utils/apk/apk-deploy.sh"; sync; \
	export SECRET_PROJECT_ROOT="${PWD}"; \
	"./utils/apk/apk-deploy.sh"

# .deb:

.PHONY: build-deb
build-deb: clean build install-fpm
	@chmod +x "./utils/build-utils.sh"; sync; \
	chmod +x "./utils/deb/deb-build.sh"; sync; \
	export SECRET_PROJECT_ROOT="${PWD}"; \
	"./utils/deb/deb-build.sh"

.PHONY: test-deb-ci
test-deb-ci: install-test build-deb
	@chmod +x "./utils/deb/deb-ci.sh"; sync; \
	export SECRET_PROJECT_ROOT="${PWD}"; \
	export PATH="${PWD}/vendor/bats/bin:${PATH}"; \
	"./utils/deb/deb-ci.sh"

.PHONY: deploy-deb
deploy-deb: build-deb
	@chmod +x "./utils/deb/deb-deploy.sh"; sync; \
	export SECRET_PROJECT_ROOT="${PWD}"; \
	"./utils/deb/deb-deploy.sh"

# .rpm:

.PHONY: build-rpm
build-rpm: clean build install-fpm
	@chmod +x "./utils/build-utils.sh"; sync; \
	chmod +x "./utils/rpm/rpm-build.sh"; sync; \
	export SECRET_PROJECT_ROOT="${PWD}"; \
	"./utils/rpm/rpm-build.sh"

.PHONY: test-rpm-ci
test-rpm-ci: install-test build-rpm
	@chmod +x "./utils/rpm/rpm-ci.sh"; sync; \
	export SECRET_PROJECT_ROOT="${PWD}"; \
	export PATH="${PWD}/vendor/bats/bin:${PATH}"; \
	"./utils/rpm/rpm-ci.sh"

.PHONY: deploy-rpm
deploy-rpm: build-rpm
	@chmod +x "./utils/rpm/rpm-deploy.sh"; sync; \
	export SECRET_PROJECT_ROOT="${PWD}"; \
	"./utils/rpm/rpm-deploy.sh"

# make:

.PHONY: test-make-ci
test-make-ci: clean install-test
	@chmod +x "./utils/make/make-ci.sh"; sync; \
	export SECRET_PROJECT_ROOT="${PWD}"; \
	export PATH="${PWD}/vendor/bats/bin:${PATH}"; \
	"./utils/make/make-ci.sh"

=== debian/changelog ===
git-secret (0.2.3-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 04 Jan 2021 16:07:27 +0100

git-secret (0.2.3-1) unstable; urgency=low

  * Initial release. Closes: #888115

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 25 Jan 2018 11:30:01 +0800

=== debian/control ===
Source: git-secret
Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: vcs
Priority: optional
Build-Depends: debhelper (>= 11)
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/debian/git-secret
Vcs-Git: https://salsa.debian.org/debian/git-secret.git
Homepage: https://github.com/sobolevn/git-secret

Package: git-secret
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         coreutils (>= 8.21),
         gawk,
         git,
         gpg
Description: store encrypted credential inside source code git repository
 git-secret is designed to solve the problem where to store the credential file
 (e.g. password, token, ...) for a service. With git-secret, Encrypted
 credential can be stored along with source code in git repository.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
    https://github.com/sobolevn/git-secret/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## git-secret 0.4.0

=== Makefile ===
SHELL:=/usr/bin/env bash
PREFIX?="/usr"
DESTDIR?=

#
# Building:
#

git-secret: src/version.sh src/_utils/*.sh src/commands/*.sh src/main.sh
	@cat $^ > "$@"
	@chmod +x git-secret; sync

.PHONY: all
all: build

.PHONY: clean
clean:
	@rm -f git-secret

.PHONY: build
build: git-secret

.PHONY: install
install:
	${SHELL} ./utils/install.sh "${DESTDIR}${PREFIX}"

.PHONY: uninstall
uninstall:
	${SHELL} ./utils/uninstall.sh "${DESTDIR}${PREFIX}"

#
# Testing and linting:
#

# The $(shell echo $${PWD}) construct is to access *nix paths under windows
# Under git for windows '$PATH' is set to windows paths, e.g. C:\Something
# Using a sub-shell we get the raw *nix paths, e.g. /c/Something
.PHONY: test
test: clean build
	export SECRETS_PROJECT_ROOT="$(shell echo $${PWD})"; \
	export PATH="$(shell echo $${PWD})/vendor/bats-core/bin:$(shell echo $${PWD}):$(shell echo $${PATH})"; \
	${SHELL} ./utils/tests.sh

# We use this script in CI and you can do this too!
# What happens here?
# 1. We pass `SECRETS_DOCKER_ENV` variable into this job
# 2. Based on it, we select a proper `docker` image to run test on
# 3. We execute `make test` inside the `docker` container
.PHONY: docker-ci
docker-ci: clean
	@[ -z "${SECRETS_DOCKER_ENV}" ] \
		&& echo 'SECRETS_DOCKER_ENV is unset' && exit 1 || true
	docker build \
		-f ".ci/docker-ci/$${SECRETS_DOCKER_ENV}/Dockerfile" \
		-t "gitsecret-$${SECRETS_DOCKER_ENV}:latest" .
	docker run --rm \
		--volume="$${PWD}:/code" \
		-w /code \
		"gitsecret-$${SECRETS_DOCKER_ENV}" \
		make test

.PHONY: lint-shell
lint-shell:
	docker pull koalaman/shellcheck:latest
	docker run \
		--volume="$${PWD}:/code" \
		-w /code \
		-e SHELLCHECK_OPTS='-s bash -S warning -a' \
		--rm koalaman/shellcheck \
		$$(find src .ci utils tests docs -type f \
			-name '*.sh' -o -name '*.bash' -o -name '*.bats')

.PHONY: lint-docker
lint-docker:
	docker pull hadolint/hadolint:latest-alpine
	docker run \
		--volume="$${PWD}:/code" \
		-w /code \
		--rm hadolint/hadolint \
		hadolint \
			--ignore=DL3008 --ignore=DL3018 --ignore=DL3041 --ignore=DL3028 \
			.ci/*/**/Dockerfile

.PHONY: lint
lint: lint-shell lint-docker

#
# Manuals and docs:
#

.PHONY: clean-man
clean-man:
	@find "man/" -type f ! -name "*.md" -delete

.PHONY: build-man
build-man: git-secret
	docker pull msoap/ruby-ronn
	export GITSECRET_VERSION="$$(./git-secret --version)" && docker run \
		--volume="$${PWD}:/code" \
		-w /code \
		--rm msoap/ruby-ronn \
		ronn --roff \
			--organization=sobolevn \
			--manual="git-secret $${GITSECRET_VERSION}" \
			man/*/*.md

.PHONY: build-docs
build-docs: build-man
	${SHELL} docs/create_posts.sh

.PHONY: docs
docs: build-docs
	docker pull jekyll/jekyll
	docker run \
		--volume="$${PWD}/docs:/code" \
		-w /code \
		-p 4000:4000 \
		--rm jekyll/jekyll \
		jekyll serve --safe --strict_front_matter

.PHONY: changelog
changelog:
	@[ -z "${GITHUB_REPOSITORY}" ] \
		&& echo 'GITHUB_REPOSITORY is unset' && exit 1 || true
	@[ -z "${GITHUB_TOKEN}" ] \
		&& echo 'GITHUB_TOKEN is unset' && exit 1 || true
	docker pull githubchangeloggenerator/github-changelog-generator
	docker run \
		--volume="$${PWD}:/code" \
		-w /code \
		--entrypoint='' \
		-e GITHUB_REPOSITORY \
		-e GITHUB_TOKEN \
		--rm githubchangeloggenerator/github-changelog-generator \
		sh ".ci/github_release_script.sh"

#
# Packaging:
#

.PHONY: build-release
build-release: clean build-man
	@[ -z "${SECRETS_RELEASE_TYPE}" ] \
		&& echo 'SECRETS_RELEASE_TYPE is unset' && exit 1 || true
	docker build \
		-f ".ci/releaser/alpine/Dockerfile" \
		-t "gitsecret-releaser:latest" .
	docker run \
		--volume="$${PWD}:/code" \
		--rm gitsecret-releaser \
		bash "./utils/$${SECRETS_RELEASE_TYPE}/build.sh"

.PHONY: release
release: build-release
	@[ -z "${SECRETS_ARTIFACTORY_CREDENTIALS}" ] \
		&& echo 'SECRETS_ARTIFACTORY_CREDENTIALS is unset' && exit 1 || true
	docker run \
		--volume="$${PWD}:/code" \
		-e SECRETS_ARTIFACTORY_CREDENTIALS \
		--rm gitsecret-releaser \
		bash "./utils/$${SECRETS_RELEASE_TYPE}/deploy.sh"

.PHONY: release-ci
release-ci:
	@[ -z "${SECRETS_RELEASE_ENV}" ] \
		&& echo 'SECRETS_RELEASE_ENV is unset' && exit 1 || true
	@[ -z "${SECRETS_RELEASE_TYPE}" ] \
		&& echo 'SECRETS_RELEASE_TYPE is unset' && exit 1 || true
	docker build \
		-f ".ci/release-ci/$${SECRETS_RELEASE_ENV}/Dockerfile" \
		-t "gitsecret-release-$${SECRETS_RELEASE_ENV}:latest" .
	docker run --rm \
		--volume="$${PWD}:/code" \
		-w /code \
		"gitsecret-release-$${SECRETS_RELEASE_ENV}" \
		bash -c "set -e; bash "./utils/$${SECRETS_RELEASE_TYPE}/install.sh""

=== debian/changelog ===
git-secret (0.4.0-1) unstable; urgency=medium

  * New upstream release (Closes: #919722).
  * Bump Standards-Version to 4.6.0.
    * Add `Rules-Requires-Root: no`.
    * Add d/upstream/metadata.
  * Bump compat to 13.
  * Update d/watch.
  * Remove unused Depends.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 04 Feb 2022 14:47:30 +0800

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Section: vcs
 Priority: optional
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.1.3
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/git-secret
 Vcs-Git: https://salsa.debian.org/debian/git-secret.git
 Homepage: https://github.com/sobolevn/git-secret
@@ -12,7 +13,6 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
-         ${shlibs:Depends},
          coreutils (>= 8.21),
          gawk,
          git,

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_test:
        # Need network to run auto test

override_dh_auto_install:

## git-secret 0.5.0

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,10 @@
-SHELL:=/usr/bin/env bash
+SHELL:=bash
 PREFIX?="/usr"
 DESTDIR?=
 
 #
 # Building:
 #
-
-git-secret: src/version.sh src/_utils/*.sh src/commands/*.sh src/main.sh
-	@cat $^ > "$@"
-	@chmod +x git-secret; sync
 
 .PHONY: all
 all: build
@@ -18,15 +14,19 @@
 	@rm -f git-secret
 
 .PHONY: build
-build: git-secret
+build:
+	@cat src/version.sh > git-secret
+	@cat src/_utils/*.sh src/commands/*.sh >> git-secret
+	@cat src/main.sh >> git-secret
+	@chmod +x git-secret; sync
 
 .PHONY: install
 install:
-	${SHELL} ./utils/install.sh "${DESTDIR}${PREFIX}"
+	"${SHELL}" ./utils/install.sh "${DESTDIR}${PREFIX}"
 
 .PHONY: uninstall
 uninstall:
-	${SHELL} ./utils/uninstall.sh "${DESTDIR}${PREFIX}"
+	"${SHELL}" ./utils/uninstall.sh "${DESTDIR}${PREFIX}"
 
 #
 # Testing and linting:
@@ -39,7 +39,7 @@
 test: clean build
 	export SECRETS_PROJECT_ROOT="$(shell echo $${PWD})"; \
 	export PATH="$(shell echo $${PWD})/vendor/bats-core/bin:$(shell echo $${PWD}):$(shell echo $${PATH})"; \
-	${SHELL} ./utils/tests.sh
+	"${SHELL}" ./utils/tests.sh
 
 # We use this script in CI and you can do this too!
 # What happens here?
@@ -65,7 +65,7 @@
 	docker run \
 		--volume="$${PWD}:/code" \
 		-w /code \
-		-e SHELLCHECK_OPTS='-s bash -S warning -a' \
+		-e SHELLCHECK_OPTS='-s bash -S style -a' \
 		--rm koalaman/shellcheck \
 		$$(find src .ci utils tests docs -type f \
 			-name '*.sh' -o -name '*.bash' -o -name '*.bats')
@@ -93,7 +93,7 @@
 	@find "man/" -type f ! -name "*.md" -delete
 
 .PHONY: build-man
-build-man: git-secret
+build-man: build
 	docker pull msoap/ruby-ronn
 	export GITSECRET_VERSION="$$(./git-secret --version)" && docker run \
 		--volume="$${PWD}:/code" \
@@ -106,7 +106,7 @@
 
 .PHONY: build-docs
 build-docs: build-man
-	${SHELL} docs/create_posts.sh
+	 "${SHELL}" docs/build.sh
 
 .PHONY: docs
 docs: build-docs
@@ -157,6 +157,7 @@
 	docker run \
 		--volume="$${PWD}:/code" \
 		-e SECRETS_ARTIFACTORY_CREDENTIALS \
+		-e SECRETS_DEPLOY_DRY_RUN \
 		--rm gitsecret-releaser \
 		bash "./utils/$${SECRETS_RELEASE_TYPE}/deploy.sh"

=== debian/changelog ===
git-secret (0.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 18 Sep 2022 00:13:08 +0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: vcs
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/git-secret
 Vcs-Git: https://salsa.debian.org/debian/git-secret.git

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%git-secret-$1.tar.gz%" \
    https://github.com/sobolevn/git-secret/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
